


# ApplyActionCodeFailureFirebase.fromCode constructor




    *[<Null safety>](https://dart.dev/null-safety)*



ApplyActionCodeFailureFirebase.fromCode([String](https://api.flutter.dev/flutter/dart-core/String-class.html) code)





## Implementation

```dart
ApplyActionCodeFailureFirebase.fromCode(String code) : super.fromCode(code) {
  switch (code) {
    case 'expired-action-code':
      msg = 'Action code has expired.';
      break;
    case 'invalid-action-code':
      msg = 'Action code is invalid.';
      break;
    case 'user-disabled':
      msg = 'This user has been disabled. Please contact support for help.';
      break;
    case 'user-not-found':
      msg = 'Email is not found, please create an account.';
      break;

    default:
      this.code = 'unknown';
      msg = 'An unknown error occurred.';
  }
}
```







