


# signOut method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

[Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;void> signOut
()

_<span class="feature">override</span>_



<p>Signs out the current user.
It also clears the cache and the associated data.</p>



## Implementation

```dart
@override
Future<void> signOut() async {
  try {
    _latestCredentials.add(null);
    await _firebaseAuth.signOut();
  } catch (_) {
    throw SignOutFailureFirebase();
  }
}
```







