


# onSignInAnonymously method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

FutureOrResult&lt;Data?> onSignInAnonymously
(Result&lt;[Account](../../wyatt_authentication_bloc/Account-class.md), AppException> result, WyattForm form)

_<span class="feature">override</span>_



<p>This callback is triggered when a user signs in anonymously.</p>



## Implementation

```dart
@override
FutureOrResult<Data?> onSignInAnonymously(
  Result<Account, AppException> result,
  WyattForm form,
) =>
    const Ok(null);
```







