


# SignUpCubit&lt;Data> class






    *[<Null safety>](https://dart.dev/null-safety)*



<p>Fully featured sign up cubit.</p>
<p>Sufficient in most cases. (Where fine granularity is not required.)</p>



**Inheritance**

- [Object](https://api.flutter.dev/flutter/dart-core/Object-class.html)
- [BlocBase](https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase-class.html)&lt;[SignUpState](../wyatt_authentication_bloc/SignUpState-class.md)>
- [Cubit](https://pub.dev/documentation/bloc/8.1.0/bloc/Cubit-class.html)&lt;[SignUpState](../wyatt_authentication_bloc/SignUpState-class.md)>
- [BaseSignUpCubit](../wyatt_authentication_bloc/BaseSignUpCubit-class.md)&lt;Data>
- SignUpCubit


**Mixed in types**

- [SignUpWithEmailPassword](../wyatt_authentication_bloc/SignUpWithEmailPassword-mixin.md)&lt;Data>






## Constructors

[SignUpCubit](../wyatt_authentication_bloc/SignUpCubit/SignUpCubit.md) ({required [AuthenticationRepository](../wyatt_authentication_bloc/AuthenticationRepository-class.md)&lt;Data> authenticationRepository})

   


## Properties

##### [authenticationRepository](../wyatt_authentication_bloc/BaseSignUpCubit/authenticationRepository.md) &#8594; [AuthenticationRepository](../wyatt_authentication_bloc/AuthenticationRepository-class.md)&lt;Data>



  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [formName](../wyatt_authentication_bloc/BaseSignUpCubit/formName.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [formRepository](../wyatt_authentication_bloc/BaseSignUpCubit/formRepository.md) &#8594; FormRepository



  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [isClosed](https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/isClosed.html) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



Whether the bloc is closed.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [state](https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/state.html) &#8594; [SignUpState](../wyatt_authentication_bloc/SignUpState-class.md)



The current <a href="https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/state.html">state</a>.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [stream](https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/stream.html) &#8594; [Stream](https://api.flutter.dev/flutter/dart-async/Stream-class.html)&lt;[SignUpState](../wyatt_authentication_bloc/SignUpState-class.md)>



The current <a href="https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/stream.html">stream</a> of states.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_





## Methods

##### [addError](https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/addError.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) error, [[StackTrace](https://api.flutter.dev/flutter/dart-core/StackTrace-class.html)? stackTrace]) void



Reports an <code>error</code> which triggers <a href="https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/onError.html">onError</a> with an optional <a href="https://api.flutter.dev/flutter/dart-core/StackTrace-class.html">StackTrace</a>.  
_<span class="feature">inherited</span>_



##### [close](https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/close.html)() [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;void>



Closes the instance.
This method should be called when the instance is no longer needed.
Once <a href="https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/close.html">close</a> is called, the instance can no longer be used.  
_<span class="feature">inherited</span>_



##### [dataChanged](../wyatt_authentication_bloc/BaseSignUpCubit/dataChanged.md)&lt;Value>([String](https://api.flutter.dev/flutter/dart-core/String-class.html) key, FormInputValidator&lt;Value, ValidationError> dirtyValue) [FutureOr](https://api.flutter.dev/flutter/dart-async/FutureOr-class.html)&lt;void>



  
_<span class="feature">inherited</span>_



##### [emailChanged](../wyatt_authentication_bloc/SignUpWithEmailPassword/emailChanged.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) value) void



  
_<span class="feature">inherited</span>_



##### [emailCustomChanged](../wyatt_authentication_bloc/SignUpWithEmailPassword/emailCustomChanged.md)&lt;Validator extends FormInputValidator&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)?, ValidationError>>(Validator validator) void



Same as <a href="../wyatt_authentication_bloc/SignUpWithEmailPassword/emailChanged.md">emailChanged</a> but with a custom <code>Validator</code>.  
_<span class="feature">inherited</span>_



##### [emit](https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/emit.html)([SignUpState](../wyatt_authentication_bloc/SignUpState-class.md) state) void



Updates the <code>state</code> to the provided <code>state</code>.
<a href="https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/emit.html">emit</a> does nothing if the <code>state</code> being emitted
is equal to the current <code>state</code>.  
_<span class="feature">inherited</span>_



##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [onChange](https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/onChange.html)([Change](https://pub.dev/documentation/bloc/8.1.0/bloc/Change-class.html)&lt;[SignUpState](../wyatt_authentication_bloc/SignUpState-class.md)> change) void



Called whenever a <code>change</code> occurs with the given <code>change</code>.
A <code>change</code> occurs when a new <code>state</code> is emitted.
<a href="https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/onChange.html">onChange</a> is called before the <code>state</code> of the <code>cubit</code> is updated.
<a href="https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/onChange.html">onChange</a> is a great spot to add logging/analytics for a specific <code>cubit</code>.  
_<span class="feature">inherited</span>_



##### [onError](https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/onError.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) error, [StackTrace](https://api.flutter.dev/flutter/dart-core/StackTrace-class.html) stackTrace) void



Called whenever an <code>error</code> occurs and notifies <a href="https://pub.dev/documentation/bloc/8.1.0/bloc/BlocObserver/onError.html">BlocObserver.onError</a>.  
_<span class="feature">inherited</span>_



##### [onSignUpWithEmailAndPassword](../wyatt_authentication_bloc/SignUpCubit/onSignUpWithEmailAndPassword.md)(Result&lt;[Account](../wyatt_authentication_bloc/Account-class.md), AppException> result, WyattForm form) FutureOrResult&lt;Data?>



This callback is triggered when a user creates an account.  
_<span class="feature">override</span>_



##### [passwordChanged](../wyatt_authentication_bloc/SignUpWithEmailPassword/passwordChanged.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) value) void



  
_<span class="feature">inherited</span>_



##### [passwordCustomChanged](../wyatt_authentication_bloc/SignUpWithEmailPassword/passwordCustomChanged.md)&lt;Validator extends FormInputValidator&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)?, ValidationError>>(Validator validator) void



Same as <a href="../wyatt_authentication_bloc/SignUpWithEmailPassword/passwordChanged.md">passwordChanged</a> but with a custom <code>Validator</code>.  
_<span class="feature">inherited</span>_



##### [reset](../wyatt_authentication_bloc/BaseSignUpCubit/reset.md)() [FutureOr](https://api.flutter.dev/flutter/dart-async/FutureOr-class.html)&lt;void>



  
_<span class="feature">inherited</span>_



##### [signUpWithEmailPassword](../wyatt_authentication_bloc/SignUpWithEmailPassword/signUpWithEmailPassword.md)() [FutureOr](https://api.flutter.dev/flutter/dart-async/FutureOr-class.html)&lt;void>



Creates a new user with the provided <code>email</code> and <code>password</code>.  
_<span class="feature">inherited</span>_



##### [submit](../wyatt_authentication_bloc/BaseSignUpCubit/submit.md)() [FutureOr](https://api.flutter.dev/flutter/dart-async/FutureOr-class.html)&lt;void>



  
_<span class="feature">inherited</span>_



##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_



##### [update](../wyatt_authentication_bloc/BaseSignUpCubit/update.md)(WyattForm form, {SetOperation operation = SetOperation.replace}) [FutureOr](https://api.flutter.dev/flutter/dart-async/FutureOr-class.html)&lt;void>



  
_<span class="feature">inherited</span>_



##### [validate](../wyatt_authentication_bloc/BaseSignUpCubit/validate.md)() [FutureOr](https://api.flutter.dev/flutter/dart-async/FutureOr-class.html)&lt;void>



  
_<span class="feature">inherited</span>_





## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_















