


# passwordCustomChanged&lt;Validator extends FormInputValidator&lt;String?, ValidationError>> method




    *[<Null safety>](https://dart.dev/null-safety)*




void passwordCustomChanged
&lt;Validator extends FormInputValidator&lt;String?, ValidationError>>(Validator validator)





<p>Same as <a href="../../wyatt_authentication_bloc/SignUpWithEmailPassword/passwordChanged.md">passwordChanged</a> but with a custom <code>Validator</code>.</p>
<p>Sort of short hand for <a href="../../wyatt_authentication_bloc/BaseSignUpCubit/dataChanged.md">dataChanged</a>.</p>



## Implementation

```dart
void passwordCustomChanged<
    Validator extends FormInputValidator<String?, ValidationError>>(
  Validator validator,
) {
  dataChanged(AuthFormField.password, validator);
}
```







