


# sendEmailVerification method




    *[<Null safety>](https://dart.dev/null-safety)*




[FutureOr](https://api.flutter.dev/flutter/dart-async/FutureOr-class.html)&lt;void> sendEmailVerification
()








## Implementation

```dart
FutureOr<void> sendEmailVerification() async {
  emit(state.copyWith(status: FormStatus.submissionInProgress));
  final response = await authenticationRepository.sendEmailVerification();
  emit(
    response.fold(
      (value) => state.copyWith(status: FormStatus.submissionSuccess),
      (error) => state.copyWith(
        errorMessage: error.message,
        status: FormStatus.submissionFailure,
      ),
    ),
  );
}
```







