


# PasswordResetState class






    *[<Null safety>](https://dart.dev/null-safety)*






**Inheritance**

- [Object](https://api.flutter.dev/flutter/dart-core/Object-class.html)
- [Equatable](https://pub.dev/documentation/equatable/2.0.5/equatable/Equatable-class.html)
- PasswordResetState








## Constructors

[PasswordResetState](../wyatt_authentication_bloc/PasswordResetState/PasswordResetState.md) ({required WyattForm form, FormStatus status = FormStatus.pure, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? errorMessage})

  _const_ 


## Properties

##### [email](../wyatt_authentication_bloc/PasswordResetState/email.md) &#8594; Email



  
_<span class="feature">read-only</span>_



##### [errorMessage](../wyatt_authentication_bloc/PasswordResetState/errorMessage.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



Optional error message.  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [form](../wyatt_authentication_bloc/PasswordResetState/form.md) &#8594; WyattForm



FormData with all inputs, and associated metadata.  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [hashCode](https://pub.dev/documentation/equatable/2.0.5/equatable/Equatable/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [props](../wyatt_authentication_bloc/PasswordResetState/props.md) &#8594; [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[Object](https://api.flutter.dev/flutter/dart-core/Object-class.html)>



The list of properties that will be used to determine whether
two instances are equal.  
_<span class="feature">read-only</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [status](../wyatt_authentication_bloc/PasswordResetState/status.md) &#8594; FormStatus



Global status of a form.  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [stringify](https://pub.dev/documentation/equatable/2.0.5/equatable/Equatable/stringify.html) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



If set to <code>true</code>, the <a href="../wyatt_authentication_bloc/PasswordResetState/toString.md">toString</a> method will be overridden to output
this instance's <a href="../wyatt_authentication_bloc/PasswordResetState/props.md">props</a>.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_





## Methods

##### [copyWith](../wyatt_authentication_bloc/PasswordResetState/copyWith.md)({WyattForm? form, FormStatus? status, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? errorMessage}) [PasswordResetState](../wyatt_authentication_bloc/PasswordResetState-class.md)



  




##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [toString](../wyatt_authentication_bloc/PasswordResetState/toString.md)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">override</span>_





## Operators

##### [operator ==](https://pub.dev/documentation/equatable/2.0.5/equatable/Equatable/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_















