


# passwordChanged method




    *[<Null safety>](https://dart.dev/null-safety)*




void passwordChanged
([String](https://api.flutter.dev/flutter/dart-core/String-class.html) value)








## Implementation

```dart
void passwordChanged(String value) {
  final passwordValidatorType = formRepository
      .accessForm(formName)
      .validatorOf(AuthFormField.password)
      .runtimeType;
  assert(
    passwordValidatorType == Password,
    'Use passwordCustomChanged(...) with validator $passwordValidatorType',
  );
  final Password password = Password.dirty(value);
  dataChanged(AuthFormField.password, password);
}
```







