


# UpdateEmailFailureFirebase.fromCode constructor




    *[<Null safety>](https://dart.dev/null-safety)*



UpdateEmailFailureFirebase.fromCode([String](https://api.flutter.dev/flutter/dart-core/String-class.html) code)





## Implementation

```dart
UpdateEmailFailureFirebase.fromCode(String code) : super.fromCode(code) {
  switch (code) {
    case 'invalid-email':
      msg = 'Email is not valid or badly formatted.';
      break;
    case 'email-already-in-use':
      msg = 'An account already exists for that email.';
      break;
    case 'requires-recent-login':
      msg = "User's last sign-in time does not meet the security threshold.";
      break;
    default:
      this.code = 'unknown';
      msg = 'An unknown error occurred.';
  }
}
```







